Metacat - Bug #1369

Metacat is case sensitive to DN
03/15/2004 02:15 PM - Jing Tao
Target version: Postpone Spent time: 0.00 hour
Bugzilla-ld: 1369

Description

In Ldap, DN is not case sensitive. For example,
uid=tao,o=nceas,dc=ecoinformatics,dc=org and
uid=tao,0=NCEAS,dc=ecoinformatics,dc=org will be treated as same DN. But in
metacat, they will be treated as two DN becuase in "0" phrase, one is "nceas"
and the other is "NCEAS". In order make Ldap and metacat consistent, we should
make metacat non-case sensitive.

History

#1 - 03/15/2004 02:27 PM - Jing Tao

In PermissionControl and DBQuery class, the DN name in java code was transform

to lower case. In sgl command, the field in db table which stores DN was change

to lower(fieldName). So both of them were changed to lower case, then compare them.
This will make metacat non-case sensitive to DN.

#2 - 03/27/2013 02:17 PM - Redmine Admin
Original Bugzilla ID was 1369
